# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mist_aws/version'

Gem::Specification.new do |spec|
  spec.name          = "mist_aws"
  spec.version       = MistAws::VERSION
  spec.authors       = ["Robert J. Berger"]
  spec.email         = ["rberger@mistsys.com"]
  spec.summary       = %q{Wrapper around aws-sdk V2 for higher level use}
  spec.description   = %q{Wrapper around aws-sdk V2 Resource api for higher level use. So far only supports IAM Role create/delete}
  spec.homepage      = "https://github.com/mistsys/mist_aws"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1.0"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "yard"
  spec.add_dependency "aws-sdk-core"
  spec.add_dependency "aws-sdk-resources"
  spec.add_dependency "json"
  spec.add_dependency "inifile"
end
